# Interface ArrayValue

An array value (may contain errors!)

#### Category

Container types

#### Hierarchy

- ArrayValue

- Defined in codec/lib/format/values.ts:263

#####
Index

### Properties

interpretations
kind
reference?
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:271

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:265

### `Optional` reference

reference?: number

will be used in the future for circular vales

- Defined in codec/lib/format/values.ts:269

### type

type: ArrayType

- Defined in codec/lib/format/values.ts:264

### value

value: Result[]

- Defined in codec/lib/format/values.ts:270

Generated using TypeDoc